%define name    efx
%define version 1.7.99
%define option  0
%define svn     r81625
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Graphics Library
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Efx
BuildRequires: pkgconfig
BuildRequires: doxygen
BuildRequires: eina-devel
BuildRequires: eet-devel
BuildRequires: evas-devel
BuildRequires: ecore-devel


%description
%name is a graphics library.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS
%{_bindir}/test_*

%files -n %libname
%{_libdir}/*.so.%{major}*
%{_datadir}/%name

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.7.99-0.r81625.2.mga4
+ Revision: 523489
- Mageia 4 Mass Rebuild

* Tue May 07 2013 trem <trem> 1.7.99-0.r81625.2.mga3
+ Revision: 412582
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 trem <trem> 1.7.99-0.r81625.1.mga3
+ Revision: 334160
- imported package efx

